- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AnnotateImage
- GetTypeMetrics

# NAME

annotate - Annotate an image with text

# SYNOPSIS

unsigned int AnnotateImage( Image *image, DrawInfo *draw_info );

unsigned int GetTypeMetrics( Image *image, const DrawInfo *draw_info, TypeMetric *metrics );

# FUNCTION DESCRIPTIONS

## AnnotateImage

> AnnotateImage() annotates an image with text. Optionally you can include any of the following bits of information about the image by embedding the appropriate special characters:

The format of the AnnotateImage method is:

> unsigned int AnnotateImage ( Image *image, DrawInfo *draw_info );

A description of each parameter follows:

status:

  Method AnnotateImage returns True if the image is annotated otherwise False.

image:

  The image.

draw_info:

  The draw info.

## GetTypeMetrics

> GetTypeMetrics() returns the following information for the specified font and text:

o

  character width o character height o ascent o descent o text width o text height o maximum horizontal advance o underline position o underline thickness

The format of the GetTypeMetrics method is:

> unsigned int GetTypeMetrics ( Image *image, const DrawInfo *draw_info, TypeMetric *metrics );

A description of each parameter follows:

image:

  The image.

draw_info:

  The draw info.

metrics:

  Return the font metrics in this structure.